package movieorganizer.userinterface;
import static org.junit.Assert.*;

import java.io.File;


import org.junit.Test;

/** Test-class. */
public class MovieManagerTest {

    /** Tests the WriteMovieAsXml method. */
    @Test
    public final void testWriteMoviesAsXml() {
        MovieManager.initialize();
        MovieManager.writeMoviesAsXml();
        File infoFile = new File(Settings.INFO_FILE);
        assertTrue("Result", infoFile.exists());
    }

    /** Tests the ReadMoviesasXml method. */
    @Test
    public final void testReadMoviesAsXml() {
        MovieManager.initialize();
        MovieManager.readMoviesAsXml();
        File infoFile = new File(Settings.INFO_FILE);
        assertTrue("Result", (!infoFile.exists() && MovieManager.getMovies()
                .size() == 0)
    || infoFile.exists());
    }

}
