package movieorganizer.userinterface;

/** The class containing the main-function, which just initializes
 * everything. */
public final class MovieOrganizer {

    /**
     * @param args none.
     */
    public static void main(final String[] args) {
        MovieManager.initialize();
        MainWindow mainWindow = new MainWindow();
        mainWindow.updateTable(MovieManager.getMovies());
    }

    /** This class should not be instantiated. */
    private MovieOrganizer() {
    }

}
